/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

/** 
 * (Begründung Titel) 20px, ZAB 26px, Bold
 */
.Begruendung-Title {
  font-size: 2rem;
  line-height: 2.6rem;
  font-weight: 700;
}

/**
 * (Begründung Allgemeiner Teil) 20px, ZAB 26px, Medium
 */
.Begruendung-Allgemeiner-Teil {
  font-size: 2rem;
  line-height: 2.6rem;
  font-weight: 500;
}

/**
 * (Hinweistext) Textfarbe: #186700, 18px, ZAB 26px, Regular
 */
.Begruendung-Hinweistext {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 400;
  color: #186700;
}

/**
 * (Begründung Überschrift römische Begründung) 18px, ZAB 26px, Medium
 */
.Begruendung-Ueberschrift {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 500;
}

/**
 * (Begründung Text) 18px, ZAB 26px, Regular
 */
.Begruendung-Text {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 400;
}

/**************************************************
 * SlateJs
 **************************************************/

.akn\:preface {
  .akn\:longTitle {
    .Begruendung-Title();
  }
}

.akn\:mainBody {
  .akn\:p > * {
    display: inline;
  }

  .akn\:authorialNote {
    vertical-align: super;
    top: 0.5rem;
    font-size: 60%;
    user-select: none;
    line-height: 0;
    cursor: pointer;
    text-decoration: none;
  }
  & .akn\:hcontainer {
    display: block;
    padding-top: 48px;

    & > .headingContent {
      & > .akn\:num {
        .Begruendung-Allgemeiner-Teil();
        padding-right: 0.25rem;
        float: left;
        & > * {
          display: inline;
        }
      }

      & > .akn\:heading {
        .Begruendung-Allgemeiner-Teil();
        display: flex;
        flex-direction: row;
        &:not(:has(.comment-marker)) {
          gap: 0.25rem;
        }
        & > *:not(.comment-marker) {
          min-width: 25px;
        }
      }
    }

    & > .akn\:content {
      padding-top: 16px;
    }

    & .akn\:hcontainer {
      padding-top: 32px;
      display: block;

      & > .headingContent {
        .akn\:num {
          .Begruendung-Ueberschrift();
          padding-right: 0.25rem;
          float: left;
          & > * {
            display: inline;
          }
        }

        .akn\:heading {
          .Begruendung-Ueberschrift();
          display: flex;
          flex-direction: row;
          &:not(:has(.comment-marker)) {
            gap: 0.25rem;
          }
        }
      }

      & > .akn\:content {
        padding-top: 16px;
        font-size: 1.8rem;
        line-height: 2.6rem;

        .akn\:ul {
          padding-inline-start: 0px;
          list-style-type: disc;
          .akn\:li {
            font-size: 1.8rem;
            line-height: 2.6rem;
            font-weight: 400;
          }
        }
      }
    }
  }

  & .akn\:tblock {
    display: block;
    padding-top: 24px;
    padding-left: 24px;
    &.lea\:fromEgfa {
      padding-left: 0px !important;
    }

    & > .headingContent {
      & > .akn\:num {
        .Begruendung-Ueberschrift();
        padding-right: 0.25rem;
        float: left;
        & > * {
          display: inline;
        }
      }

      & > .akn\:heading {
        .Begruendung-Ueberschrift();
        flex-direction: row;
        gap: 0.25rem;
        & > *:not(.comment-marker) {
          display: inline;
          min-width: 25px;
        }
      }
    }

    & > .akn\:p {
      margin-top: 16px;
    }
  }
}
